# 解冻进程
function thawed()
{
  echo -n "  + thawed $1 "
  # pgrep 精确度有点差
  pgrep -f $1 | while read pid; do
    echo -n $pid
    echo $pid > /sys/fs/cgroup/freezer/perf/thawed/tasks
  done
  echo ""
}

# 冻结进程
function frozen()
{
  echo -n "  + thawed $1 "
  # pgrep 精确度有点差
  pgrep -f $1 | while read pid; do
    echo -n $pid
    echo $pid > /sys/fs/cgroup/freezer/perf/frozen/tasks
  done
  echo ""
}

function move_to_cpuset()
{
  echo -n "  + $1 $2 "
  # pgrep 精确度有点差
  pgrep -f $2 | while read pid; do
    echo -n "$pid "
    echo $pid > /dev/cpuset/$1/tasks
  done
  echo ""
}

function create_cpu_set()
{
    mkdir /dev/cpuset/$1
    echo $2 > /dev/cpuset/$1/cpus
}

function set_top_app()
{
  echo -n "  + top-app $1 "
  # pgrep 精确度有点差
  pgrep -f $1 | while read pid; do
    echo -n "$pid "
    echo $pid > /dev/cpuset/top-app/tasks
    echo $pid > /dev/stune/top-app/tasks
  done
  echo ""
}


function set_apps() {
  set_top_app android.hardware.audio
  set_top_app android.hardware.bluetooth
  set_top_app com.android.permissioncontroller
  set_top_app vendor.qti.hardware.display.composer-service
  set_top_app android.hardware.graphics.composer
  set_top_app surfaceflinger
  set_top_app system_server
  set_top_app audioserver
  set_top_app servicemanager
  set_top_app com.android.systemui
  set_top_app com.miui.home
}

set_apps

sleep 60
set_apps

sleep 120
set_apps
